#include "AVL_functions.h"

	static avl_node_t *new_node = 0;

	avl_node_t *createNodeWithKey(avl_key_t key) {
		new_node = (avl_node_t*)malloc(sizeof(avl_node_t));
		if(!new_node) return (avl_node_t*)_def_failure;

		new_node->parent = 0;
		new_node->left = 0;
		new_node->right = 0;
		new_node->balance = 0;
		new_node->key = key;

		return new_node;
	}

	avl_node_t *createNode() {
		new_node = (avl_node_t*)malloc(sizeof(avl_node_t));
		if(!new_node) return (avl_node_t*)_def_failure;

		new_node->parent = 0;
		new_node->left = 0;
		new_node->right = 0;
		new_node->balance = 0;
		new_node->key = (avl_key_t)new_node;

		return new_node;
	}
