#include "AVL_functions.h"

	void rebalanceLeftSubtree(avl_node_t **root, avl_node_t *node) {
		if(node->left->balance > 0) {
			if(node->left->right->balance < 0) {
				//printf("Left-Right-Left\r\n");
				node->left->balance = 0;
				node->left->right->balance = 0;
				node->balance = 1;
			} else if(node->left->right->balance > 0) {
				//printf("Left-Right-Right\r\n");
				node->left->balance = -1;
				node->left->right->balance = 0;
				node->balance = 0;
			} else {
				//printf("Left-Right\r\n");
				node->balance = 0;
				node->left->balance = 0;
				node->left->right->balance = 0;
			}
			rotateNodeLeft(root, node->left);
		} else {
			//printf("Left-Left\r\n");
			node->balance = 0;
			node->left->balance = 0;
		}
		rotateNodeRight(root, node);
	}
