#include "AVL_functions.h"

	char checkTree(avl_node_t *tree) {
		if(tree) {
			if(checkTree(tree->left) == _def_failure) return _def_failure;
			if(tree->parent) {
				if((tree == tree->parent->left) && (tree->key > tree->parent->key)) {
					printf("Key %d, greater than parent.\r\n", tree->key);
					return _def_failure;
				} else if((tree == tree->parent->right) && (tree->key < tree->parent->key)) {
					printf("Key %d, smaller than parent.\r\n", tree->key);
					return _def_failure;
				}
			}
			if(checkTree(tree->right) == _def_failure) return _def_failure;
			return _def_success;
		}
		return _def_success;
	}
 
