#include "AVL_functions.h"

	void displayTree(avl_node_t *tree) {
		if(tree) {
			displayTree(tree->left);
			
			printf(" > Node(0x%x):: Key %d // Balance %d", (unsigned int)tree,\
								     (unsigned int)tree->key,\
								     (unsigned int)tree->balance);
			printf(" // Left: 0x%x // Parent: 0x%x // Right: 0x%x ", (unsigned int)tree->left,\
										(unsigned int)tree->parent,\
										(unsigned int)tree->right);

			if(!tree->parent) printf("[[ root ]] <<---------------\r\n");
			else if((!tree->left) && (tree->right))  printf("[[ rpath ]]\r\n");
			else if((tree->left) && (!tree->right))  printf("[[ lpath ]]\r\n");
			else if((tree->left) && (tree->right))	  printf("[[ subt ]]\r\n");
			else if((!tree->left) && (!tree->right)) printf("[[ leaf ]]\r\n");

			displayTree(tree->right);
		}
	}
