#include "AVL_functions.h"

	void rebalanceRightSubtree(avl_node_t **root, avl_node_t *node) {
		if(node->right->balance < 0) {
			if(node->right->left->balance > 0) {
				//printf("Right-Left-Right\r\n");
				node->balance = -1;
				node->right->balance = 0;
				node->right->left->balance = 0;
			} else if(node->right->left->balance < 0) {
				//printf("Right-Left-Left\r\n");
				node->balance = 0;
				node->right->balance = 1;
				node->right->left->balance = 0;
			} else {
				//printf("Right-Left\r\n");
				node->balance = 0;
				node->right->balance = 0;
				node->right->left->balance = 0;
			}
			rotateNodeRight(root, node->right);
		} else {
			//printf("Right-Right\r\n");
			node->balance = 0;
			node->right->balance = 0;
		}
		rotateNodeLeft(root, node);
	}
